Package org.apache.lucene.search.matchhighlight

## Class OffsetsFromValues

- java.lang.Object
- - org.apache.lucene.search.matchhighlight.OffsetsFromValues

- All Implemented Interfaces:
    `OffsetsRetrievalStrategy`

      public final class OffsetsFromValues
      extends Object
      implements OffsetsRetrievalStrategy

  This strategy works for fields where we know the match occurred but there are no known positions or offsets.

  We re-analyze field values and return offset ranges for entire values (not individual tokens). Re-analysis is required because analyzer may return an unknown offset gap.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OffsetsFromValues​(String field, Analyzer analyzer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<OffsetRange>` | `get​(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)` | Return value offsets (match ranges) acquired from the given `MatchesIterator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OffsetsFromValues

          public OffsetsFromValues​(String field,
                                   Analyzer analyzer)

  - ### Method Detail

    - #### get

          public List<OffsetRange> get​(MatchesIterator matchesIterator,
                                       MatchRegionRetriever.FieldValueProvider doc)
                                throws IOException

      Description copied from interface: `OffsetsRetrievalStrategy`
      Return value offsets (match ranges) acquired from the given `MatchesIterator`.
      Specified by:
        `get` in interface `OffsetsRetrievalStrategy`
      Throws:
        `IOException`